<?php
get_header();
$yourstore_option = yourstore_get_options();
$blog_layout = $yourstore_option['yourstore_blog_grid_type'];
$blog_sidebar = $yourstore_option['is_blog_sidebar_enable'];
if ( is_plugin_active( 'wordpress-seo/wp-seo.php' ) && function_exists('yoast_breadcrumb') ) {
?>
<section class="breadcrumbs">
	<div class="container">
        <div class="breadcrumb breadcrumb--ys pull-left">
        <?php
        if(is_plugin_active( 'wordpress-seo/wp-seo.php' )){
            yoast_breadcrumb('','');
        }
        ?>
        </div>
	</div>
</section>
<?php }?>
<div id="pageContent">
    <div class="container">
        <!-- two columns -->
        <div class="row">
            <?php
            if ($blog_sidebar == '1') {

                ?>
                <div class="col-xl-8 col-lg-8 col-md-8 col-xs-12" id="centerColumn">
                    <?php
                }

                ?>
                <div class="title-box">
                    <?php the_archive_title( '<h1 class="text-center text-uppercase title-under">', '</h1>' );?>
                </div>
                <div class="blog-layout">
                    <?php
                    if (have_posts()) :
                        while (have_posts()) : the_post();
                            if ($blog_layout == 'bl2') {?>
                                <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-xs-12">
                            <?php
                            }elseif ($blog_layout == 'bl3') { ?>
                                    <div class="col-xl-4 col-lg-4 col-md-4 col-sm-6 col-xs-12">
                            <?php }?>
                                        <div class="post">
                            <?php
                            /*
                             * Include the Post-Format-specific template for the content.
                             * If you want to override this in a child theme, then include a file
                             * called content-___.php (where ___ is the Post Format name) and that will be used instead.
                             */
                            get_template_part('content', get_post_format());
                            the_content(sprintf(
                                    wp_kses_post(__('Continue reading %s', 'yourstore')), the_title('<span class="screen-reader-text">', '</span>', false)
                            ));
                            // End the loop.
                            post_meta();
                            ?>
                                        </div>
                            <?php if ($blog_layout == 'bl2' || $blog_layout == 'bl3') { ?> </div> <?php }?>

                            <?php
                        endwhile;

                        // Previous/next page navigation.
                        the_posts_pagination(array(
                            'mid_size' => 2,
                            'prev_text' => '<span class="icon icon-navigate_before"></span>',
                            'next_text' => '<span class="icon icon-navigate_next"></span>',
                            'screen_reader_text' => esc_html__('Posts navigation', 'yourstore'),
                        ));

                    // If no content, include the "No posts found" template.
                    else :
                        get_template_part('template-parts/content', 'none');

                    endif;

                    ?>
                </div>

                <?php
                if ($blog_sidebar == '1') {?>
                </div>
                <div class="divider divider--lg visible-md visible-sm visible-xs"></div>
                <aside class="col-xl-4 col-lg-4 col-xs-12" id="rightColumn">
                    <?php
                    get_sidebar();
                    ?>
                </aside>
                <?php
                }

                ?>

        </div>
    </div>
</div>
<?php get_footer(); ?>