<?php
$yourstore_option = yourstore_get_options();
if(!isset($divClass) || !$divClass){
    $divClass = 'search link-inline';
}
?>
<div class="<?php echo esc_attr($divClass)?>">
    <a href="#" class="search__open"><span class="icon icon-search"></span></a>
    <div class="search-dropdown">
        <form role="search" method="get" id="search__form"
            class="searchform" action="<?php echo esc_url( home_url( '/' ) ); ?>">
            <?php
            if(isset($yourstore_option['yourstore_header_auto_suggest_status']) 
            && $yourstore_option['yourstore_header_auto_suggest_status']){?>
                <input type="hidden" value="product" name="post_type" />
            <?php }?>
            <div class="input-outer">
                <input type="text" class="placeholder" value="<?php echo get_search_query(); ?>" placeholder="<?php esc_attr_e('SEARCH:', 'yourstore')?>" name="s" id="s" />
                <button type="submit" title="<?php esc_attr_e('Search', 'yourstore')?>" class="icon icon-search"></button>
            </div>
            <a href="#" class="search__close"><span class="icon icon-close"></span></a>
        </form>
    </div>
</div>