<?php
/**
 * The default template for displaying content
 *
 * Used for both single and index/archive/search.
 *
 * @package YourStore
 * @subpackage yourstore
 * @since Your Store 1.0
 */
?>
<!-- Post start -->
<div class="post">							
	<!-- title post -->
	<div class="post__title_block">

		
		<figure>
			<?php
				// Post thumbnail.
				yourstore_post_thumbnail();
			?> 									
		</figure>
		<div class="pull-left">
			<time>
				<span><?php echo get_the_date('j');?></span>
				<?php echo get_the_date("M"); ?>
			</time>
		</div>										
		<div class="pull-left">
			<h2 class="post__title text-uppercase"><a href="<?php  the_permalink()?>"><?php the_title()?></a></h2>
			<div class="post__meta">
				<span class="post__meta__item">
					<span class="autor"><?php echo esc_html__( 'by', 'yourstore' ) ;?> <b><?php the_author()?></b></span>
				</span>										
			</div>
		</div>									
	</div>
	<!-- /title post -->
	<!-- content post -->
	<?php 
	the_content( sprintf(
		wp_kses(__( 'Continue reading %s', 'yourstore' ), array('span' => array('class' => array()))),
		the_title( '<span class="screen-reader-text">', '</span>', false )
	) );
		?>
	<div class="post__meta">								
		<span class="post__meta__item">
			<span class="icon icon-message"></span>
				<a href="<?php echo esc_url( comments_link() ) ?>">
				<?php 
				printf( _nx( '(01) <span class="lune_hide_on_grid">Comment</span>', '(%1$s) <span class="lune_hide_on_grid">Comments</span>', get_comments_number(), 'comments title', 'yourstore' ), number_format_i18n( get_comments_number() ) );
				?>
				</a>

		</span>										
		
		<span class="post__meta__item">
			<span class="icon icon-bookmark_border"></span>
			<a href="#">Uncategorized</a> 
		</span>
	</div>											          				 
	<!-- /content post -->
</div>
<!-- /Post end -->