<?php
$yourstore_option = yourstore_get_options();

$footer_widget_name = (isset($yourstore_option['yourstore_footer_style']) && !empty($yourstore_option['yourstore_footer_style'])) ? 'footer-'.$yourstore_option['yourstore_footer_style'] : 'footer-cols4';
$secondary_footer =  (isset($yourstore_option['is_secondary_footer']) && !empty($yourstore_option['is_secondary_footer'])) ? 1 : 0;

$footer_class = '';

if(isset($yourstore_option['yourstore_header_type']) 
    && $yourstore_option['yourstore_header_type'] == 4 
    && is_front_page()){
    $footer_class = 'layout-2';
}


?>


<!-- End CONTENT section -->
		<!-- FOOTER section -->
		<footer class="<?php echo esc_attr($footer_class)?>">
			<!-- footer-data -->
			<div class="container inset-bottom-60">

				<?php if($secondary_footer==1) {?>
				<div class="row secondary_footer" >
					<?php get_sidebar( 'secondary-footer-cols4' ); ?>

				</div>
				<hr class="hidden-xs">
				<?php }?>

				<div class="row" >
					<?php get_sidebar( $footer_widget_name ); ?>
				</div>

			</div>
			<!-- /footer-data -->
			<div class="divider divider-md visible-xs visible-sm visible-md"></div>
            <?php
            if($footer_class == 'layout-2' && is_active_sidebar('footer-maintenance')){
                dynamic_sidebar('footer-maintenance');
            }
            if(isset($yourstore_option['yourstore_footer_copyright'])){
            ?>
			<!-- footer-copyright -->
			<div class="container footer-copyright">
				<div class="row">
				<?php 
				$footer_paymnet =    (isset($yourstore_option['enable_payment_logo']) && !empty($yourstore_option['enable_payment_logo'])) ? 1 : 0;
				$class_copyright = "col-lg-12";

				if($footer_paymnet==1)
					$class_copyright = "col-sm-6";
				 
				?>	
				<div class="<?php echo wp_kses_post($class_copyright); ?>">
					<?php echo wp_kses_post($yourstore_option['yourstore_footer_copyright']);?>
						
				</div>
					<?php 	if($footer_paymnet==1) { ?>
					<div class="pull-right hidden-xs hidden-sm hidden-md">
						<img src="<?php echo wp_kses_post($yourstore_option['footer_paymnet_logo']['url']);?>" >
					</div>
					<?php } ?>
				</div>
			</div>
            <?php }?>
			<!-- /footer-copyright --> 
			<a href="#" class="btn btn--ys btn--full visible-xs" id="backToTop"><?php esc_html_e('Back to top', 'yourstore')?> <span class="icon icon-expand_less"></span></a>
		</footer>
		<!-- END FOOTER section -->
		
	  

		<!--================== modal ==================-->
		
		<!-- / Modal (quickViewModal) -->
<div class="test-div">
		<?php if ( yourstore_get_option('is_popup_enable') ) { get_template_part( 'template-parts/popup' ); } ?>
</div>

<?php wp_footer();?>

<?php do_action('yourstore_after_footer'); ?>
	</body>
</html>