<?php

// Save new field to postmeta
add_action('wp_update_nav_menu_item', 'yourstore_update_nav_menu_item',10, 3);

function yourstore_update_nav_menu_item( $menu_id, $menu_item_db_id, $args ){
    if ( isset($_REQUEST['yourstore_label_color']) && is_array($_REQUEST['yourstore_label_color']) ) {
        $yourstore_label_color_value = $_REQUEST['yourstore_label_color'][$menu_item_db_id];
        update_post_meta( $menu_item_db_id, '_menu_item_yourstore_label_color', $yourstore_label_color_value );
    }

    if ( isset($_REQUEST['yourstore_label_txt']) && is_array($_REQUEST['yourstore_label_txt']) ) {
        $yourstore_label_txt_value = $_REQUEST['yourstore_label_txt'][$menu_item_db_id];
        update_post_meta( $menu_item_db_id, '_menu_item_yourstore_label_txt', $yourstore_label_txt_value );
    }

    if ( isset($_REQUEST['yourstore_link_bg_color']) && is_array($_REQUEST['yourstore_link_bg_color']) ) {
        $yourstore_label_txt_value = $_REQUEST['yourstore_link_bg_color'][$menu_item_db_id];
        update_post_meta( $menu_item_db_id, '_menu_item_yourstore_link_bg_color', $yourstore_label_txt_value );
    }

    if ( isset($_REQUEST['yourstore_link_color']) && is_array($_REQUEST['yourstore_link_color']) ) {
        $yourstore_label_txt_value = $_REQUEST['yourstore_link_color'][$menu_item_db_id];
        update_post_meta( $menu_item_db_id, '_menu_item_yourstore_link_color', $yourstore_label_txt_value );
    }
    
    
    // new fixings
    // yourstore_mega_menu

    if(isset($_REQUEST['yourstore_mega_menu'][$menu_item_db_id])){
        $value = $_REQUEST['yourstore_mega_menu'][$menu_item_db_id];
        update_post_meta( $menu_item_db_id, '_menu_item_yourstore_mega_menu', $value );
    }else{
        $value = 'false';
        update_post_meta( $menu_item_db_id, '_menu_item_yourstore_mega_menu', $value );
    }
    if(isset($_REQUEST['yourstore_big_mega_menu'][$menu_item_db_id])){
        $value = $_REQUEST['yourstore_big_mega_menu'][$menu_item_db_id];
        update_post_meta( $menu_item_db_id, '_menu_item_yourstore_big_mega_menu', $value );
    }else{
        $value = 'false';
        update_post_meta( $menu_item_db_id, '_menu_item_yourstore_big_mega_menu', $value );
    }
    
    // yourstore_display_cat_img
    if(isset($_REQUEST['yourstore_display_cat_img'][$menu_item_db_id])){
        $value = $_REQUEST['yourstore_display_cat_img'][$menu_item_db_id];
        update_post_meta( $menu_item_db_id, '_menu_item_yourstore_display_cat_img', $value );
    }else{
        $value = 'false';
        update_post_meta( $menu_item_db_id, '_menu_item_yourstore_display_cat_img', $value );
    }
    
    // yourstore_display_cat_image
    if(isset($_REQUEST['yourstore_display_cat_image'][$menu_item_db_id])){
        $value = $_REQUEST['yourstore_display_cat_image'][$menu_item_db_id];
        update_post_meta( $menu_item_db_id, '_menu_item_yourstore_display_cat_image', $value );
    }else{
        $value = 'false';
        update_post_meta( $menu_item_db_id, '_menu_item_yourstore_display_cat_image', $value );
    }
    
    // yourstore_display_cats_num

    if(isset($_REQUEST['yourstore_display_cats_num'][$menu_item_db_id])){
        $value = $_REQUEST['yourstore_display_cats_num'][$menu_item_db_id];
        update_post_meta( $menu_item_db_id, '_menu_item_yourstore_display_cats_num', $value );
    }else{
        $value = '6';
        update_post_meta( $menu_item_db_id, '_menu_item_yourstore_display_cats_num', $value );
    }
    // yourstore_order_by
    if(isset($_REQUEST['yourstore_order_by'][$menu_item_db_id])){
        $value = $_REQUEST['yourstore_order_by'][$menu_item_db_id];
        update_post_meta( $menu_item_db_id, '_menu_item_yourstore_order_by', $value );
    }
    // yourstore_order_way
    if(isset($_REQUEST['yourstore_order_way'][$menu_item_db_id])){
        $value = $_REQUEST['yourstore_order_way'][$menu_item_db_id];
        update_post_meta( $menu_item_db_id, '_menu_item_yourstore_order_way', $value );
    }

    // yourstore_menu_width
    if ( isset($_REQUEST['yourstore_menu_width']) && is_array($_REQUEST['yourstore_menu_width']) ) {
        if(isset($_REQUEST['yourstore_menu_width'][$menu_item_db_id])){
            $value = $_REQUEST['yourstore_menu_width'][$menu_item_db_id];
            update_post_meta( $menu_item_db_id, '_menu_item_yourstore_menu_width', $value );
        }
    }
    
    // yourstore_grid_type_depth_one
    if ( isset($_REQUEST['yourstore_grid_type_depth_one']) && is_array($_REQUEST['yourstore_grid_type_depth_one']) ) {
        if(isset($_REQUEST['yourstore_grid_type_depth_one'][$menu_item_db_id])){
            $value = $_REQUEST['yourstore_grid_type_depth_one'][$menu_item_db_id];
            update_post_meta( $menu_item_db_id, '_menu_item_yourstore_grid_type_depth_one', $value );
        }
    }

}

// Add custom fields value to $item object
add_filter( 'wp_setup_nav_menu_item','yourstore_setup_nav_menu_item' );
function yourstore_setup_nav_menu_item($menu_item) {
    
    $menu_item->label_color = get_post_meta( $menu_item->ID, '_menu_item_yourstore_label_color', true );
    $menu_item->yourstore_label = get_post_meta( $menu_item->ID, '_menu_item_yourstore_label_txt', true );
    $menu_item->link_bg_color = get_post_meta( $menu_item->ID, '_menu_item_yourstore_link_bg_color', true );
    $menu_item->link_color = get_post_meta( $menu_item->ID, '_menu_item_yourstore_link_color', true );
    // new code
    $menu_item->yourstore_mega_menu = get_post_meta( $menu_item->ID, '_menu_item_yourstore_mega_menu', true );
    $menu_item->yourstore_big_mega_menu = get_post_meta( $menu_item->ID, '_menu_item_yourstore_big_mega_menu', true );

    $menu_item->yourstore_display_cat_img = get_post_meta( $menu_item->ID, '_menu_item_yourstore_display_cat_img', true );
    $menu_item->yourstore_display_cats_num = get_post_meta( $menu_item->ID, '_menu_item_yourstore_display_cats_num', true );
    $menu_item->yourstore_order_by = get_post_meta( $menu_item->ID, '_menu_item_yourstore_order_by', true );
    $menu_item->yourstore_order_way = get_post_meta( $menu_item->ID, '_menu_item_yourstore_order_way', true );
    $menu_item->yourstore_grid_type_depth_one = get_post_meta( $menu_item->ID, '_menu_item_yourstore_grid_type_depth_one', true );

    $menu_item->yourstore_menu_width = get_post_meta( $menu_item->ID, '_menu_item_yourstore_menu_width', true );

    $menu_item->yourstore_display_cat_image = get_post_meta( $menu_item->ID, '_menu_item_yourstore_display_cat_image', true );

    
    return $menu_item;
}

// Custom walker class for adding custom fileds murkup
add_filter( 'wp_edit_nav_menu_walker', 'yourstore_edit_nav_menu_walker',10,2 );
function yourstore_edit_nav_menu_walker($walker, $menu_id) {
    return 'Yourstore_Edit_Nav_Menu_Walker';
}

class Yourstore_Edit_Nav_Menu_Walker extends Walker_Nav_Menu  {

    private $yourstore_menu_location;
    private $yourstore_menu_id;
    protected static $instance;


    public function __construct(){

        $this->yourstore_menu_id = isset( $_REQUEST['menu'] ) ? (int) $_REQUEST['menu'] : 0;
        $recent_menu_id = get_user_meta(get_current_user_id(), 'nav_menu_recently_edited', true);
        if($this->yourstore_menu_id == 0 && !empty($recent_menu_id)){
              $this->yourstore_menu_id = (int)$recent_menu_id;
        }

        $locations = get_nav_menu_locations();
        $this->yourstore_menu_location = $locations;
        self::$instance = $this;
    }
    public static function getInstance(){
        if(self::$instance instanceof Yourstore_Edit_Nav_Menu_Walker){
            return self::$instance;
        }
    }

    public static function isPrimaryMenu(){
        $obj = self::getInstance();
        return ($obj->yourstore_menu_id && isset($obj->yourstore_menu_location['primary']) && (int)$obj->yourstore_menu_id == (int)$obj->yourstore_menu_location['primary']);
    }
    
    public function start_lvl( &$output, $depth = 0, $args = array() ) {
        $output .= '';
    }
    public function end_lvl( &$output, $depth = 0, $args = array() ) {
        $output .= '';
    }
    /**
     * Start the element output.
     *
     * @see Walker_Nav_Menu::start_el()
     * @since 3.0.0
     *
     * @global int $_wp_nav_menu_max_depth
     *
     * @param string $output Passed by reference. Used to append additional content.
     * @param object $item   Menu item data object.
     * @param int    $depth  Depth of menu item. Used for padding.
     * @param array  $args   Not used.
     * @param int    $id     Not used.
     */
    public function start_el( &$output, $item, $depth = 0, $args = array(), $id = 0 ) {
        global $_wp_nav_menu_max_depth;
        $_wp_nav_menu_max_depth = $depth > $_wp_nav_menu_max_depth ? $depth : $_wp_nav_menu_max_depth;
 
        ob_start();
        $item_id = esc_attr( $item->ID );
        $removed_args = array(
            'action',
            'customlink-tab',
            'edit-menu-item',
            'menu-item',
            'page-tab',
            '_wpnonce',
        );
 
        $original_title = '';
        if ( 'taxonomy' == $item->type ) {
            $original_title = get_term_field( 'name', $item->object_id, $item->object, 'raw' );
            if ( is_wp_error( $original_title ) )
                $original_title = false;
        } elseif ( 'post_type' == $item->type ) {
            $original_object = get_post( $item->object_id );
            $original_title = get_the_title( $original_object->ID );
        } elseif ( 'post_type_archive' == $item->type ) {
            $original_object = get_post_type_object( $item->object );
            $original_title = $original_object->labels->archives;
        }
 
        $classes = array(
            'menu-item menu-item-depth-' . $depth,
            'menu-item-' . esc_attr( $item->object ),
            'menu-item-edit-' . ( ( isset( $_GET['edit-menu-item'] ) && $item_id == $_GET['edit-menu-item'] ) ? 'active' : 'inactive'),
        );
 
        $title = $item->title;
 
        if ( ! empty( $item->_invalid ) ) {
            $classes[] = 'menu-item-invalid';
            /* translators: %s: title of menu item which is invalid */
            $title = sprintf( esc_html__( '%s (Invalid)', 'yourstore' ), $item->title );
        } elseif ( isset( $item->post_status ) && 'draft' == $item->post_status ) {
            $classes[] = 'pending';
            /* translators: %s: title of menu item in draft status */
            $title = sprintf( esc_html__('%s (Pending)', 'yourstore'), $item->title );
        }
 
        $title = ( ! isset( $item->label ) || '' == $item->label ) ? $title : $item->label;
 
        $submenu_text = '';
        if ( 0 == $depth )
            $submenu_text = 'style="display: none;"';
 
        ?>
        <li id="menu-item-<?php echo esc_attr($item_id); ?>" class="<?php echo esc_attr(implode(' ', $classes )); ?>">
            <div class="menu-item-bar">
                <div class="menu-item-handle">
                    <span class="item-title"><span class="menu-item-title"><?php echo esc_html( $title ); ?></span> <span class="is-submenu" <?php print $submenu_text; ?>><?php esc_html_e( 'sub item', 'yourstore' ); ?></span></span>
                    <span class="item-controls">
                        <span class="item-type"><?php echo esc_html( $item->type_label ); ?></span>
                        <span class="item-order hide-if-js">
                            <a href="<?php
                                echo wp_nonce_url(
                                    add_query_arg(
                                        array(
                                            'action' => 'move-up-menu-item',
                                            'menu-item' => $item_id,
                                        ),
                                        remove_query_arg($removed_args, admin_url( 'nav-menus.php' ) )
                                    ),
                                    'move-menu_item'
                                );
                            ?>" class="item-move-up"><abbr title="<?php esc_attr_e('Move up', 'yourstore'); ?>">&#8593;</abbr></a>
                            |
                            <a href="<?php
                                echo wp_nonce_url(
                                    add_query_arg(
                                        array(
                                            'action' => 'move-down-menu-item',
                                            'menu-item' => $item_id,
                                        ),
                                        remove_query_arg($removed_args, admin_url( 'nav-menus.php' ) )
                                    ),
                                    'move-menu_item'
                                );
                            ?>" class="item-move-down"><abbr title="<?php esc_attr_e('Move down', 'yourstore'); ?>">&#8595;</abbr></a>
                        </span>
                        <a class="item-edit" id="edit-<?php echo esc_attr($item_id); ?>" title="<?php esc_attr_e('Edit Menu Item', 'yourstore'); ?>" href="<?php
                            echo ( isset( $_GET['edit-menu-item'] ) && $item_id == $_GET['edit-menu-item'] ) ? admin_url( 'nav-menus.php' ) : add_query_arg( 'edit-menu-item', $item_id, remove_query_arg( $removed_args, admin_url( 'nav-menus.php#menu-item-settings-' . $item_id ) ) );
                        ?>"><?php esc_html_e( 'Edit Menu Item', 'yourstore' ); ?></a>
                    </span>
                </div>
            </div>
 
            <div class="menu-item-settings wp-clearfix" id="menu-item-settings-<?php echo esc_attr($item_id); ?>">
                <?php if ( 'custom' == $item->type ) : ?>
                    <p class="field-url description description-wide">
                        <label for="edit-menu-item-url-<?php echo esc_attr($item_id); ?>">
                            <?php esc_html_e( 'URL', 'yourstore' ); ?><br />
                            <input type="text" id="edit-menu-item-url-<?php echo esc_attr($item_id); ?>" class="widefat code edit-menu-item-url" name="menu-item-url[<?php echo esc_attr($item_id); ?>]" value="<?php echo esc_attr( $item->url ); ?>" />
                        </label>
                    </p>
                <?php endif; ?>
                <p class="description description-wide">
                    <label for="edit-menu-item-title-<?php echo esc_attr($item_id); ?>">
                        <?php esc_html_e( 'Navigation Label', 'yourstore' ); ?><br />
                        <input type="text" id="edit-menu-item-title-<?php echo esc_attr($item_id); ?>" class="widefat edit-menu-item-title" name="menu-item-title[<?php echo esc_attr($item_id); ?>]" value="<?php echo esc_attr( $item->title ); ?>" />
                    </label>
                </p>
                <p class="field-title-attribute description description-wide">
                    <label for="edit-menu-item-attr-title-<?php echo esc_attr($item_id); ?>">
                        <?php esc_html_e( 'Title Attribute', 'yourstore' ); ?><br />
                        <input type="text" id="edit-menu-item-attr-title-<?php echo esc_attr($item_id); ?>" class="widefat edit-menu-item-attr-title" name="menu-item-attr-title[<?php echo esc_attr($item_id); ?>]" value="<?php echo esc_attr( $item->post_excerpt ); ?>" />
                    </label>
                </p>
                <p class="field-link-target description">
                    <label for="edit-menu-item-target-<?php echo esc_attr($item_id); ?>">
                        <input type="checkbox" id="edit-menu-item-target-<?php echo esc_attr($item_id); ?>" value="_blank" name="menu-item-target[<?php echo esc_attr($item_id); ?>]"<?php checked( $item->target, '_blank' ); ?> />
                        <?php esc_html_e( 'Open link in a new tab', 'yourstore' ); ?>
                    </label>
                </p>
                <p class="field-css-classes description description-thin">
                    <label for="edit-menu-item-classes-<?php echo esc_attr($item_id); ?>">
                        <?php esc_html_e( 'CSS Classes (optional)', 'yourstore' ); ?><br />
                        <input type="text" id="edit-menu-item-classes-<?php echo esc_attr($item_id); ?>" class="widefat code edit-menu-item-classes" name="menu-item-classes[<?php echo esc_attr($item_id); ?>]" value="<?php echo esc_attr( implode(' ', $item->classes ) ); ?>" />
                    </label>
                </p>
                <p class="field-xfn description description-thin">
                    <label for="edit-menu-item-xfn-<?php echo esc_attr($item_id); ?>">
                        <?php esc_html_e( 'Link Relationship (XFN)', 'yourstore' ); ?><br />
                        <input type="text" id="edit-menu-item-xfn-<?php echo esc_attr($item_id); ?>" class="widefat code edit-menu-item-xfn" name="menu-item-xfn[<?php echo esc_attr($item_id); ?>]" value="<?php echo esc_attr( $item->xfn ); ?>" />
                    </label>
                </p>
                <p class="field-description description description-wide">
                    <label for="edit-menu-item-description-<?php echo esc_attr($item_id); ?>">
                        <?php esc_html_e( 'Description', 'yourstore' ); ?><br />
                        <textarea id="edit-menu-item-description-<?php echo esc_attr($item_id); ?>" class="widefat edit-menu-item-description" rows="3" cols="20" name="menu-item-description[<?php echo esc_attr($item_id); ?>]"><?php print $item->post_content; ?></textarea>
                        <span class="description"><?php esc_html_e('The description will be displayed in the menu if the current theme supports it.', 'yourstore'); ?></span>
                    </label>
                </p>
               <?php if(self::isPrimaryMenu()){ ?> 
                <!-- Custom Field: Label -->
                <p class="field-custom description description-wide">
                    <label for="edit-menu-item-custom-<?php echo esc_attr($item_id); ?>">
                        <?php esc_html_e( 'Label', 'yourstore' ); ?><br />
                        <input type="text" id="yourstore_label_txt-<?php echo esc_attr($item_id); ?>" class="widefat code yourstore_label_txt" name="yourstore_label_txt[<?php echo esc_attr($item_id); ?>]" value="<?php echo esc_attr( $item->yourstore_label ); ?>" />
                    </label>
                </p>
                <!-- Custom Field: Label Color -->
                <p class="field-custom description description-wide">
                    <label for="edit-menu-item-custom-<?php echo esc_attr($item_id); ?>">
                        <?php esc_html_e( 'Label Color', 'yourstore' ); ?><br />
                        <input type="text" id="yourstore_label_color-<?php echo esc_attr($item_id); ?>" class="widefat code yourstore_label_color yourstore_colorpicker" name="yourstore_label_color[<?php echo esc_attr($item_id); ?>]" value="<?php echo esc_attr( $item->label_color ); ?>" />
                    </label>
                </p>

                <!-- Custom Field: Link Hilight Color -->
                <p class="field-custom description description-wide">
                    <label for="edit-menu-item-custom-<?php echo esc_attr($item_id); ?>">
                        <?php esc_html_e( 'Link Color', 'yourstore' ); ?><br />
                        <input type="text" id="yourstore_link_color-<?php echo esc_attr($item_id); ?>" class="widefat code yourstore_link_color yourstore_colorpicker" name="yourstore_link_color[<?php echo esc_attr($item_id); ?>]" value="<?php echo esc_attr( $item->link_color ); ?>" />
                    </label>
                </p>

                <!-- Custom Field: Link Hilight BG Color -->
                <p class="field-custom description description-wide">
                    <label for="edit-menu-item-custom-<?php echo esc_attr($item_id); ?>">
                        <?php esc_html_e( 'Link BG Color', 'yourstore' ); ?><br />
                        <input type="text" id="yourstore_link_bg_color-<?php echo esc_attr($item_id); ?>" class="widefat code yourstore_link_bg_color yourstore_colorpicker" name="yourstore_link_bg_color[<?php echo esc_attr($item_id); ?>]" value="<?php echo esc_attr( $item->link_bg_color ); ?>" />
                    </label>
                </p>
                <!-- Custom fields for product-cat and brands Taxonomies -->
                <?php
                if($item->menu_item_parent == 0){
                    ?>
                    <!-- Custom field for regular item mega menu -->
                    <p class="field-custom description description-wide">
                        <label for="edit-menu-item-target-<?php echo esc_attr($item_id); ?>">
                            <input type="checkbox" id="yourstore_mega_menu-<?php echo esc_attr($item_id); ?>" value="true" name="yourstore_mega_menu[<?php echo esc_attr($item_id); ?>]"<?php checked( $item->yourstore_mega_menu, 'true' ); ?> />
                            <?php esc_html_e( 'Mega Menu', 'yourstore' ); ?>
                        </label>
                    </p>
                    <p class="field-custom description description-wide">
                        <label for="edit-menu-item-target-<?php echo esc_attr($item_id); ?>">
                            <input type="checkbox" id="yourstore_big_mega_menu-<?php echo esc_attr($item_id); ?>" value="true" name="yourstore_big_mega_menu[<?php echo esc_attr($item_id); ?>]"<?php checked( $item->yourstore_big_mega_menu, 'true' ); ?> />
                            <?php esc_html_e( 'Enable Big Mega Menu', 'yourstore' ); ?>
                        </label>
                    </p>
                    <p class="field-custom description description-wide">
                        <label for="edit-menu-item-custom-<?php echo esc_attr($item_id); ?>">
                            <?php esc_html_e( 'Mega menu width', 'yourstore' ); ?><br />
                            <select id="yourstore_menu_width-<?php echo esc_attr($item_id); ?>" class="widefat code yourstore_menu_width" name="yourstore_menu_width[<?php echo esc_attr($item_id); ?>]">
                                <?php 
                                $_options = array(
                                    'two' => esc_html__('Two Columns', 'yourstore'),
                                    'three' => esc_html__('Three Columns', 'yourstore'),
                                    'four'  => esc_html__('Four Columns', 'yourstore'),
                                    'five'  => esc_html__('Five Columns', 'yourstore'),
                                    'six'  => esc_html__('Six Columns', 'yourstore'),
                                );
                                $_selected = $item->yourstore_menu_width;
                                foreach($_options as $key=>$val){
                                    $selop = '';
                                    if($_selected == $key){
                                        $selop .= ' selected="selected"';
                                    }
                                ?>
                                <option value="<?php echo esc_attr($key)?>"<?php print $selop?>><?php print $val;?></option>
                                <?php }?>
                                
                            </select>
                        </label>
                    </p>
                <?php
                    }elseif($depth == 1){?>
                        <p class="field-custom description description-wide">
                            <label for="edit-menu-item-custom-<?php echo esc_attr($item_id); ?>">
                                <?php esc_html_e( 'Menu Column Type', 'yourstore' ); ?><br />
                                <select id="yourstore_grid_type_depth_one-<?php echo esc_attr($item_id); ?>" class="widefat code yourstore_grid_type_depth_one" name="yourstore_grid_type_depth_one[<?php echo esc_attr($item_id); ?>]">
                                    <option value="1"<?php print $item->yourstore_grid_type_depth_one == '1' ? ' selected="selected"':'';?>><?php esc_html_e('Regular', 'yourstore')?></option>
                                    <option value="2"<?php print $item->yourstore_grid_type_depth_one == '2' ? ' selected="selected"':'';?>><?php esc_html_e('Image before Title (use description field to put the image src)', 'yourstore')?></option>
                                    <option value="3"<?php print $item->yourstore_grid_type_depth_one == '3' ? ' selected="selected"':'';?>><?php esc_html_e('Title and HTML markup (use description field to put the HTML markup)', 'yourstore')?></option>
                                    <option value="4"<?php print $item->yourstore_grid_type_depth_one == '4' ? ' selected="selected"':'';?>><?php esc_html_e('Category Submenu (supports any category)', 'yourstore')?></option>
                                </select>
                                <em style="color:red"><?php esc_html_e('(Note: Use "Description" field to put html markup or image src)', 'yourstore')?></em>
                            </label>
                        </p>
                        <?php 
                        if($item->type == 'taxonomy'){ 
                            if($item->object == 'product_cat'){?>
                            <p class="field-custom description description-wide">
                                <label for="edit-menu-item-target-<?php echo esc_attr($item_id); ?>">
                                    <input type="checkbox" id="yourstore_display_cat_img-<?php echo esc_attr($item_id); ?>" value="true" name="yourstore_display_cat_img[<?php echo esc_attr($item_id); ?>]"<?php checked( $item->yourstore_display_cat_img, 'true' ); ?> />
                                    <?php esc_html_e( 'Display the category thumbnail', 'yourstore' ); ?>
                                    <em style="color:red"><?php esc_html_e('(Note: This feature is only applicable for product category item)', 'yourstore')?></em>
                                </label>
                            </p>
                            <?php }?>
                            <!-- number of child category to display -->
                            <p class="field-custom description description-wide">
                                <label for="edit-menu-item-custom-<?php echo esc_attr($item_id); ?>">
                                    <?php esc_html_e( 'Number of child category will display', 'yourstore' ); ?><br />
                                    <input type="number" id="yourstore_display_cats_num-<?php echo esc_attr($item_id); ?>" class="widefat code yourstore_display_cats_num" name="yourstore_display_cats_num[<?php echo esc_attr($item_id); ?>]" value="<?php echo esc_attr( $item->yourstore_display_cats_num ); ?>" />
                                </label>
                            </p>
                            <!-- child category order by -->
                            <p class="field-custom description description-wide">
                                <label for="edit-menu-item-custom-<?php echo esc_attr($item_id); ?>">
                                    <?php esc_html_e( 'Order By (Only for Taxonomies)', 'yourstore' ); ?><br />
                                    <select id="yourstore_order_by-<?php echo esc_attr($item_id); ?>" class="widefat code yourstore_order_by" name="yourstore_order_by[<?php echo esc_attr($item_id); ?>]">
                                        <?php 
                                        $_options = array('id' => esc_html__('Term id', 'yourstore'), 'name' => esc_html__('Term name', 'yourstore'), 'slug'=> esc_html__('Term slug', 'yourstore'), 'count' => esc_html__('Count', 'yourstore'));
                                        $_selected = $item->yourstore_order_by;
                                        foreach($_options as $key=>$val){
                                            $selop = '';
                                            if($_selected == $key){
                                                $selop .= ' selected="selected"';
                                            }
                                        ?>
                                        <option value="<?php echo esc_attr($key)?>"<?php print $selop?>><?php print $val;?></option>
                                        <?php }?>

                                    </select>
                                </label>
                            </p>
                            <!-- child category order way -->
                            <p class="field-custom description description-wide">
                                <label for="edit-menu-item-custom-<?php echo esc_attr($item_id); ?>">
                                    <?php esc_html_e( 'Order Way (Only for Taxonomies)', 'yourstore' ); ?><br />
                                    <select id="yourstore_order_way-<?php echo esc_attr($item_id); ?>" class="widefat code yourstore_order_way" name="yourstore_order_way[<?php echo esc_attr($item_id); ?>]">
                                        <option value="DESC"<?php print $item->yourstore_order_way == 'DESC' ? ' selected="selected"':'';?>><?php esc_html_e('Descending', 'yourstore')?></option>
                                        <option value="ASC"<?php print $item->yourstore_order_way == 'ASC' ? ' selected="selected"':'';?>><?php esc_html_e('Ascending', 'yourstore')?></option>
                                    </select>
                                </label>
                            </p>
                        <?php }?>

                        <?php
                    }
                }

                ?>
                    <!-- end custom field -->
                <p class="field-move hide-if-no-js description description-wide">
                    <label>
                        <span><?php esc_html_e( 'Move', 'yourstore' ); ?></span>
                        <a href="#" class="menus-move menus-move-up" data-dir="up"><?php esc_html_e( 'Up one', 'yourstore' ); ?></a>
                        <a href="#" class="menus-move menus-move-down" data-dir="down"><?php esc_html_e( 'Down one', 'yourstore' ); ?></a>
                        <a href="#" class="menus-move menus-move-left" data-dir="left"></a>
                        <a href="#" class="menus-move menus-move-right" data-dir="right"></a>
                        <a href="#" class="menus-move menus-move-top" data-dir="top"><?php esc_html_e( 'To the top', 'yourstore' ); ?></a>
                    </label>
                </p>
 
                <div class="menu-item-actions description-wide submitbox">
                    <?php if ( 'custom' != $item->type && $original_title !== false ) : ?>
                        <p class="link-to-original">
                            <?php printf( esc_html__('Original: %s', 'yourstore'), '<a href="' . esc_attr( $item->url ) . '">' . esc_html( $original_title ) . '</a>' ); ?>
                        </p>
                    <?php endif; ?>
                    <a class="item-delete submitdelete deletion" id="delete-<?php echo esc_attr($item_id); ?>" href="<?php
                    echo wp_nonce_url(
                        add_query_arg(
                            array(
                                'action' => 'delete-menu-item',
                                'menu-item' => $item_id,
                            ),
                            admin_url( 'nav-menus.php' )
                        ),
                        'delete-menu_item_' . $item_id
                    ); ?>"><?php esc_html_e( 'Remove', 'yourstore' ); ?></a> <span class="meta-sep hide-if-no-js"> | </span> <a class="item-cancel submitcancel hide-if-no-js" id="cancel-<?php echo esc_attr($item_id); ?>" href="<?php echo esc_url( add_query_arg( array( 'edit-menu-item' => $item_id, 'cancel' => time() ), admin_url( 'nav-menus.php' ) ) );
                        ?>#menu-item-settings-<?php echo esc_attr($item_id); ?>"><?php esc_html_e('Cancel', 'yourstore'); ?></a>
                </div>
 
                <input class="menu-item-data-db-id" type="hidden" name="menu-item-db-id[<?php echo esc_attr($item_id); ?>]" value="<?php echo esc_attr($item_id); ?>" />
                <input class="menu-item-data-object-id" type="hidden" name="menu-item-object-id[<?php echo esc_attr($item_id); ?>]" value="<?php echo esc_attr( $item->object_id ); ?>" />
                <input class="menu-item-data-object" type="hidden" name="menu-item-object[<?php echo esc_attr($item_id); ?>]" value="<?php echo esc_attr( $item->object ); ?>" />
                <input class="menu-item-data-parent-id" type="hidden" name="menu-item-parent-id[<?php echo esc_attr($item_id); ?>]" value="<?php echo esc_attr( $item->menu_item_parent ); ?>" />
                <input class="menu-item-data-position" type="hidden" name="menu-item-position[<?php echo esc_attr($item_id); ?>]" value="<?php echo esc_attr( $item->menu_order ); ?>" />
                <a href="nav_custom_fields.php"></a>
                <input class="menu-item-data-type" type="hidden" name="menu-item-type[<?php echo esc_attr($item_id); ?>]" value="<?php echo esc_attr( $item->type ); ?>" />
            </div><!-- .menu-item-settings-->
            <ul class="menu-item-transport"></ul>
        <?php
        $output .= ob_get_clean();
    }

}
