<?php 
/*
 * Template Name: Maintenance
 */

get_header('maintenance'); 

global $yourstore_option;

$data_bg = array();

if(isset($yourstore_option['yourstore-maintenance-bg'])){
    $data_bg = $yourstore_option['yourstore-maintenance-bg']['background-image'] ;  
    
}

?>
 
        <div id="loader-wrapper">
            <div id="loader">
                <div class="dot"></div>
                <div class="dot"></div>
                <div class="dot"></div>
                <div class="dot"></div>
                <div class="dot"></div>
                <div class="dot"></div>
                <div class="dot"></div>
                <div class="dot"></div>
            </div>
        </div>
        <!-- Back to top -->
        <div class="back-to-top"><span class="icon-keyboard_arrow_up"></span></div>
        <!-- /Back to top -->
        <!-- HEADER section -->
        <header id="header" class="header-layout-10">
            <div class="container">
                <div class="row">
                    <div class="col-sm-12 text-center">
                        <!-- logo start --> 
                        <!-- logo start --> 
                            <?php yourstore_get_logo(); ?>
                            <!-- logo end --> 
                        <!-- logo end --> 
                    </div>                  
                </div>
            </div>          
        </header>
        <!-- End HEADER section -->     
        <!-- CONTENT section -->
        <div id="pageContent">
            <section class="container-fluid under-construction image-bg" data-image="<?php echo esc_attr($data_bg)?>">
                <div class="text-center color-white">
                    <div class="divider divider--xl-1"></div>
                    <h1 class="font50 color-white title-bottom-md"><?php echo wp_kses_post($yourstore_option['yourstore-maintenance-title']);?></h1>
                    <!-- countdown_box -->
                    <?php
                      if(isset($yourstore_option['yourstore-maintenance-countdown-status']) && $yourstore_option['yourstore-maintenance-countdown-status'] == 1){
             
                        $countdownArr = array();
                        $countdownArr['year']   = $yourstore_option['yourstore-countdown-year'];
                        $countdownArr['month']  = $yourstore_option['yourstore-countdown-month'];
                        $countdownArr['day']    = $yourstore_option['yourstore-countdown-day'];
                        $countdownArr['hour']   = $yourstore_option['yourstore-countdown-hour'];
                        $countdownArr['minute'] = $yourstore_option['yourstore-countdown-minutes'];
                        $countdownArr['second'] = $yourstore_option['yourstore-countdown-seconds'];
                        ?>
        
                    <div class="countdown-transparent">
                        <div id="countdown1" data-date-object='<?php echo json_encode($countdownArr)?>'></div>
                    </div>
                <?php       }             ?>
                    <div class="divider divider--lg"></div>
                    <!-- /countdown_box --> 
                    <p class="font22">
                       <?php
                        if(isset($yourstore_option['yourstore-maintenance-subtitle']))
                            echo wp_kses_post($yourstore_option['yourstore-maintenance-subtitle']);
                       ?>
                    </p>

                    <?php
                    if(is_active_sidebar('footer-maintenance')){?>
                    <div class="section_offset">
                        <div class="container clearfix">
                            <div class="row">
                                <?php dynamic_sidebar('footer-maintenance');?>
                            </div>
                        </div>
                    </div>

                    <?php } ?>

  
                </div>
            </section>
            
        </div>
        <!-- End CONTENT section --> 
 
<?php
get_footer('maintenance'); ?>

